FUSBTC(4)

NAME
fusbtc - Fairchild FUSB302 USB Type-C Port controller

SYNOPSIS
fusbtc* at iic?

DESCRIPTION
The fusbtc driver provides support for the Fairchild FUSB302 USB Type-C port controller. It takes care of plug and unplug events on the USB Type-C port and discovers the orientation of the plug so that the USB SuperSpeed pins can be routed correctly. Additionally it enables power on the USB Type-C port when a sink is connected to power attached devices.

SEE ALSO
iic(4)

HISTORY
The fusbtc driver first appeared in OpenBSD 6.6.

AUTHORS
-nosplit The fusbtc driver was written by Patrick Wildt <patrick@blueri.se>.